org.wildfly.swarm.config.management.security_realm

## Class PropertiesAuthentication<T extends PropertiesAuthentication<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.PropertiesAuthentication<T>

-     public class PropertiesAuthentication<T extends PropertiesAuthentication<T>>
      extends Object

  Configuration to use a list users stored within a properties file as the user repository. The entries within the properties file are username={credentials} with each user being specified on it's own line.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `path()` The path of the properties file containing the users.
    `T` | `path(String value)` The path of the properties file containing the users.
    `Boolean` | `plainText()` Are the credentials within the properties file stored in plain text.
    `T` | `plainText(Boolean value)` Are the credentials within the properties file stored in plain text.
    `String` | `relativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `relativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesAuthentication

          public PropertiesAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### path

          public String path()

      The path of the properties file containing the users.

    - #### path

          public T path(String value)

      The path of the properties file containing the users.

    - #### plainText

          public Boolean plainText()

      Are the credentials within the properties file stored in plain text. If not the credential is expected to be the hex encoded Digest hash of 'username : realm : password'.

    - #### plainText

          public T plainText(Boolean value)

      Are the credentials within the properties file stored in plain text. If not the credential is expected to be the hex encoded Digest hash of 'username : realm : password'.

    - #### relativeTo

          public String relativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### relativeTo

          public T relativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

Copyright © 2018 JBoss by Red Hat. All rights reserved.